local qfs = require "quarrel.fs"
local gfs = require "gears.filesystem"
local gsurface = require "gears.surface"

local icons = {}
local phosphor_dir = gfs.get_configuration_dir() .. "assets/phosphor/"

for _, icon in ipairs(qfs.ls_files(phosphor_dir)) do
    if icon:match(".+%.(.+)") == "svg" then
        icons[icon:match("(.+)%..+"):gsub("-", "_")] = gsurface.load_uncached(phosphor_dir .. icon)
    end
end

return icons
