mod lenses;
// mod sound;

use mlua::prelude::*;

#[mlua::lua_module]
fn qnative(lua: &Lua) -> LuaResult<LuaTable> {
    let lenses = lua.create_table()?;
    lenses.set("1", lua.create_function(lenses::calculator::query)?)?;
    lenses.set("2", lua.create_function(lenses::application::query)?)?;

    let exports = lua.create_table()?;
    exports.set("lenses", lenses)?;

    Ok(exports)
}
