local gtimer = require "gears.timer"
local qfs = require "quarrel.fs"

gtimer {
    timeout = 1,
    call_now = true,
    autostart = true,
    callback = function()
        local capacity = qfs.read("/sys/class/power_supply/BAT0/capacity", "n")
        local status = qfs.read("/sys/class/power_supply/BAT0/status", "l")

        awesome.emit_signal("services::battery", capacity, status)
    end
}
