local gtimer = require "gears.timer"
local qfs = require "quarrel.fs"

gtimer {
    timeout = 1,
    call_now = true,
    autostart = true,
    callback = function()
        local brightness = qfs.read("/sys/class/backlight/amdgpu_bl0/actual_brightness", "n")

        awesome.emit_signal("services::brightness", brightness)
    end
}
