local qvars = require "quarrel.vars"
local rectangle = require "gears.shape".rectangle

-- io.popen spams logs, don't use
-- client.connect_signal("property::name", function(c)
--     if not c.pid then return end
--     local out = io.popen("readlink /proc/" .. c.pid .. "/exe")
--     local name = c.name
--     if out ~= nil then
--         name = out:read("*a"):sub(0, -2):match("[^\\/]+$") or name
--     end
--     c.name = string.lower(name)
-- end)

client.connect_signal("request::manage", function (c)
    c.shape = qvars.shape
    if c.maximized then
        c.maximized = false
        c.maximized = true
    end
end)

local function handle_corners(c)
    if c.maximized then
        c.shape = rectangle
        c.border_width = 0
    else
        c.shape = qvars.shape
        c.border_width = qvars.border_width
    end
end

client.connect_signal("property::maximized", handle_corners)
client.connect_signal("property::fullscreen", handle_corners)
