local awful = require "awful"

screen.connect_signal("request::desktop_decoration", function(s)
    awful.tag.add(
        "1",
        {
            screen = s,
            layout = awful.layout.suit.floating,
            selected = true
        }
    )

    awful.tag.add(
        "2",
        {
            screen = s,
            layout = awful.layout.suit.floating,
            
        }
    )

    awful.tag.add(
        "3",
        {
            screen = s,
            layout = awful.layout.suit.tile.left,
            master_width_factor = 0.7
        }
    )

    awful.tag.add(
        "4",
        {
            screen = s,
            layout = awful.layout.suit.tile.top,
            master_width_factor = 0.2
        }
    )

    awful.tag.add(
        "5",
        {
            screen = s,
            layout = awful.layout.suit.tile.right,
            master_width_factor = 0.7
        }
    )

    awful.tag.add(
        "6",
        {
            screen = s,
            layout = awful.layout.suit.floating,
        }
    )
end)
