local awful = require "awful"
local qui = require "quarrel.ui"
local q = require "quarrel"
local qvars = require "quarrel.vars"

awful.keygrabber {
    keybindings = {
        awful.key {
            modifiers = qvars.mods.A,
            key       = "Tab",
            on_press  = awful.client.focus.history.previous
        },
        awful.key {
            modifiers = qvars.mods.AS,
            key       = "Tab",
            on_press  = awful.client.focus.history.next
        },
    },
    -- Note that it is using the key name and not the modifier name.
    stop_key           = "Mod1",
    stop_event         = "release",
    -- start_callback     = awful.client.focus.history.disable_tracking,
    stop_callback      = awful.client.focus.history.enable_tracking,
    export_keybindings = true,
    autostart = true
}
